# pycrs.loader API documentation
Convenience functions for loading from different sources.

Top

# pycrs.loader module

Convenience functions for loading from different sources.

## Functions

def from_file(

filepath)

Returns the crs object from a file, with the format determined from the filename extension.

Arguments:

- filepath: filepath to be loaded, including extension.

def from_url(

url, format=None)

Returns the crs object from a string interpreted as a specified format, located at a given url site.

Arguments:

- url: The url where the crs string is to be read from.
- format (optional): Which format to parse the crs string as. One of "ogc wkt", "esri wkt", or "proj4". If None, tries to autodetect the format for you (default).

Returns:

- CRS object.